// File : main.cc
// Adaptation graphique du jeu Puissance5 de Laurent BUCHARD


#include <gtk/gtk.h>

#include "interface.h"
#include "support.h"
#include "callbacks.h"
#include "Vide.xpm"
#include "Rouge.xpm"
#include "Jaune.xpm"
#include <stdio.h>

GdkPixmap *pixmap_rouge;
GdkPixmap *pixmap_jaune;
GdkPixmap *pixmap_vide;

GtkWidget *Window;  

int main (int argc, char *argv[]) {
  GtkStyle *style;
  GdkBitmap *mask_jaune;
  GdkBitmap *mask_rouge;
  GdkBitmap *mask_vide;
  gtk_init (&argc, &argv);
  int idle_task;

  add_pixmap_directory (".");

  Window = create_MainWindow ();
  gtk_widget_show (Window);

  style = gtk_widget_get_style (Window);

  pixmap_vide = gdk_pixmap_create_from_xpm_d (Window->window, &mask_vide, &style->bg [GTK_STATE_NORMAL], (gchar **) Vide_xpm);
  pixmap_rouge = gdk_pixmap_create_from_xpm_d (Window->window, &mask_rouge, &style->bg [GTK_STATE_NORMAL], (gchar **) Rouge_xpm);
  pixmap_jaune = gdk_pixmap_create_from_xpm_d (Window->window, &mask_jaune, &style->bg [GTK_STATE_NORMAL], (gchar **) Jaune_xpm);

  InitPlay ();

  /* Traitement du jeu dans la idle task */
  idle_task = gtk_idle_add (Idle_run, Window);

  gtk_main ();
  gtk_idle_remove (idle_task);

  gdk_pixmap_unref (pixmap_vide);
  gdk_pixmap_unref (pixmap_rouge);
  gdk_pixmap_unref (pixmap_jaune);
  gdk_pixmap_unref (mask_vide);
  gdk_pixmap_unref (mask_rouge);
  gdk_pixmap_unref (mask_jaune);

  return 0;
}

